| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::FRCFormatDescriptor Struct Reference

A pixel format and usage that is sufficient to check if images of that format and usage are suitable for use with fixed-rate compression. More...

`#include <capabilities_vk.h>`

## Public Member Functions
| FRCFormatDescriptor (const vk::ImageCreateInfo &image_info)

## Public Attributes
vk::Format | format = vk::Format::eUndefined
vk::ImageType | type = {}
vk::ImageTiling | tiling = {}
vk::ImageUsageFlags | usage = {}
vk::ImageCreateFlags | flags = {}

## Detailed Description

A pixel format and usage that is sufficient to check if images of that format and usage are suitable for use with fixed-rate compression.

Definition at line 162 of file capabilities_vk.h.

## Constructor & Destructor Documentation

## ◆ FRCFormatDescriptor()

impeller::FRCFormatDescriptor::FRCFormatDescriptor | ( | const vk::ImageCreateInfo & | image_info | ) |
| inlineexplicit

Definition at line 169 of file capabilities_vk.h.

170 : format(image_info.format),
171 type(image_info.imageType),
172 tiling(image_info.tiling),
173 usage(image_info.usage),
174 flags(image_info.flags) {}
impeller::FRCFormatDescriptor::tiling
vk::ImageTiling tiling
Definition: capabilities_vk.h:165
impeller::FRCFormatDescriptor::usage
vk::ImageUsageFlags usage
Definition: capabilities_vk.h:166
impeller::FRCFormatDescriptor::flags
vk::ImageCreateFlags flags
Definition: capabilities_vk.h:167
impeller::FRCFormatDescriptor::type
vk::ImageType type
Definition: capabilities_vk.h:164
impeller::FRCFormatDescriptor::format
vk::Format format
Definition: capabilities_vk.h:163

## Member Data Documentation

## ◆ flags

vk::ImageCreateFlags impeller::FRCFormatDescriptor::flags = {}

Definition at line 167 of file capabilities_vk.h.

Referenced by impeller::CapabilitiesVK::GetSupportedFRCRate().

## ◆ format

vk::Format impeller::FRCFormatDescriptor::format = vk::Format::eUndefined

Definition at line 163 of file capabilities_vk.h.

Referenced by impeller::CapabilitiesVK::GetSupportedFRCRate().

## ◆ tiling

vk::ImageTiling impeller::FRCFormatDescriptor::tiling = {}

Definition at line 165 of file capabilities_vk.h.

Referenced by impeller::CapabilitiesVK::GetSupportedFRCRate().

## ◆ type

vk::ImageType impeller::FRCFormatDescriptor::type = {}

Definition at line 164 of file capabilities_vk.h.

Referenced by impeller::CapabilitiesVK::GetSupportedFRCRate().

## ◆ usage

vk::ImageUsageFlags impeller::FRCFormatDescriptor::usage = {}

Definition at line 166 of file capabilities_vk.h.

Referenced by impeller::CapabilitiesVK::GetSupportedFRCRate().

The documentation for this struct was generated from the following file:

- impeller/renderer/backend/vulkan/capabilities_vk.h